%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Unicode-Map8

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	The Unicode::Map8 class implement efficient mapping tables
Name:		perl-%{perlname}
Version:	0.12
Release:	2
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Unicode+Map8
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion} 
BuildRequires:	perl = %{perlepoch}:%{perlversion} perl-Unicode-String

%description
The Unicode::Map8 class implement efficient mapping tables between
8-bit character sets and 16 bit character sets like Unicode.  About
170 different mapping tables between various known character sets and
Unicode is distributed with this package.  The source of these tables
is the vendor mapping tables provided by Unicode, Inc. and the code
tables in RFC 1345.  New maps can easily be installed.

By coincidence Martin Schwartz created a similar module at the same
time I did.  His module is called Unicode::Map and should be available
on CPAN too.  Both modules now support a unified interface.  Martin's
module will be depreciated in the future.

Since UTF8 support is coming to Perl soon, there might be good reasons
to move this module in the direction of mapping to/from UTF8.  I will
probably do so, once the Unicode support in the Perl core settle.

For more details see: http://search.cpan.org/search?module=Unicode+Map8

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir
%_bindir/umap

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.12-2
- Rebuild against perl 5.10.0
* Sat Nov 25 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.12-1
- Initial Release
